{
    "name": "react-typescript-starter",
    "description": "Clean React 17 with TypeScript starter, without usage of create-react-app ⚛",
    "version": "1.0.0",
    "main": "src/index.tsx",
    "repository": "https://github.com/GR34SE/react-typescript-starter.git",
    "license": "MIT",
    "scripts": {
        "start": "webpack-cli serve --mode=development --env development --host 0.0.0.0 --hot --inline",
        "develop": "webpack-cli serve --mode=development --env development --host 127.0.0.1 --hot --open",
        "build": "webpack --mode=production --env production --progress",
        "lint": "eslint './src/**/*.{ts,tsx}'"
    },
    "devDependencies": {
        "@types/node": "14.17.6",
        "@types/react": "17.0.24",
        "@types/react-dom": "17.0.9",
        "@types/webpack": "5.28.0",
        "@types/webpack-dev-server  ": "3.11.6",
        "@typescript-eslint/eslint-plugin": "4.31.2",
        "@typescript-eslint/parser": "4.31.2",
        "eslint": "7.32.0",
        "eslint-config-prettier": "8.3.0",
        "eslint-plugin-import": "2.24.2",
        "eslint-plugin-prettier": "4.0.0",
        "eslint-plugin-react": "7.26.0",
        "eslint-plugin-react-hooks": "4.2.0",
        "fork-ts-checker-webpack-plugin": "6.3.3",
        "html-webpack-plugin": "5.3.2",
        "prettier": "2.4.1",
        "ts-loader": "9.2.6",
        "ts-node": "10.2.1",
        "tsconfig-paths-webpack-plugin": "3.5.1",
        "typescript": "4.4.3",
        "webpack": "5.54.0",
        "webpack-cli": "4.8.0",
        "webpack-dev-server": "^4.3.0"
    },
    "dependencies": {
        "alertifyjs": "^1.13.1",
        "axios": "^0.21.4",
        "chokidar-cli": "^2.1.0",
        "dotenv": "^10.0.0",
        "history": "^5.0.1",
        "moment-timezone": "^0.5.33",
        "node-sass": "^6.0.1",
        "node-sass-package-importer": "^5.3.2",
        "qs": "^6.10.1",
        "react": "^17.0.0  || ^15.0.0-0 || ^16.4.0-0",
        "react-dom": "^17.0.0",
        "react-reactive-form": "^1.0.32",
        "react-redux": "^7.2.5",
        "react-router": "^5.2.1",
        "react-router-dom": "^5.3.0",
        "react-scripts": "^4.0.3",
        "redux": "^4.1.1",
        "redux-persist": "^6.0.0",
        "redux-thunk": "^2.3.0",
        "rxjs": "^7.3.0"
    }
}